Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.eviware.soapui.impl.wsdl.panels.mockoperation
Class AbstractWsdlMockResponseDesktopPanel<T extends ModelItem,T2 extends WsdlMockResponse>

    java.lang.Object
      java.awt.Component
          java.awt.Container
              javax.swing.JComponent
                  javax.swing.JPanel
                      com.eviware.soapui.ui.support.ModelItemDesktopPanel<T>
                          com.eviware.soapui.impl.wsdl.panels.mockoperation.AbstractWsdlMockResponseDesktopPanel<T,T2>

All Implemented Interfaces:
  PropertyChangeNotifier, DesktopPanel, java.awt.image.ImageObserver, java.awt.MenuContainer, java.io.Serializable, javax.accessibility.Accessible

Direct Known Subclasses:
  WsdlMockResponseDesktopPanel

    public class AbstractWsdlMockResponseDesktopPanel<T extends ModelItem,T2 extends WsdlMockResponse>

extends ModelItemDesktopPanel<T>

Abstract base DesktopPanel for WsdlMockResponses

Author:
  Ole.Matzura
See Also:
  Serialized Form

Nested Class Summary
`protected class` | `AbstractWsdlMockResponseDesktopPanel.InputAreaFocusListener`
`protected class` | `AbstractWsdlMockResponseDesktopPanel.ResultAreaFocusListener`
`class` | `AbstractWsdlMockResponseDesktopPanel.WsdlMockRequestMessageEditor`
`class` | `AbstractWsdlMockResponseDesktopPanel.WsdlMockResponseMessageEditor`

Nested classes/interfaces inherited from class javax.swing.JPanel
`javax.swing.JPanel.AccessibleJPanel`

Nested classes/interfaces inherited from class javax.swing.JComponent
`javax.swing.JComponent.AccessibleJComponent`

Nested classes/interfaces inherited from class java.awt.Container
`java.awt.Container.AccessibleAWTContainer`

Nested classes/interfaces inherited from class java.awt.Component
`java.awt.Component.AccessibleAWTComponent, java.awt.Component.BltBufferStrategy, java.awt.Component.FlipBufferStrategy`

Field Summary
`boolean` | `responseHasFocus`
`javax.swing.AbstractAction` | `wsiValidateAction`

Fields inherited from class javax.swing.JComponent
`accessibleContext, listenerList, TOOL_TIP_TEXT_KEY, ui, UNDEFINED_CONDITION, WHEN_ANCESTOR_OF_FOCUSED_COMPONENT, WHEN_FOCUSED, WHEN_IN_FOCUSED_WINDOW`

Fields inherited from class java.awt.Component
`BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

Fields inherited from interface com.eviware.soapui.ui.desktop.DesktopPanel
`ICON_PROPERTY, TITLE_PROPERTY`

Fields inherited from interface java.awt.image.ImageObserver
`ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

Constructor Summary
`AbstractWsdlMockResponseDesktopPanel(T modelItem)`

Method Summary
`protected javax.swing.JComponent` | `buildContent()`
`protected SoapMessageXmlEditor` | `buildRequestEditor()`
`protected SoapMessageXmlEditor` | `buildResponseEditor()`
`protected javax.swing.JComponent` | `buildStatusLabel()`
`protected javax.swing.JComponent` | `buildToolbar()`
`protected void` | `createToolbar(JXToolBar toolbar)`
`boolean` | `dependsOn(ModelItem modelItem)` Checks if this desktop panel depends on the existence of the specified model item, used for closing relevant panels.
`protected java.lang.String` | `getHelpUrl()`
`protected WsdlMockResponse` | `getMockResponse()`
`SoapMessageXmlEditor` | `getRequestEditor()`
`SoapMessageXmlEditor` | `getResponseEditor()`
`JEditorStatusBarWithProgress` | `getStatusBar()`
`MockRunner` | `getSubmit()`
`protected void` | `init(T2 mockResponse)`
`protected void` | `insertButtons(javax.swing.JToolBar toolbar)`
`boolean` | `onClose(boolean canCancel)` Called when a desktop panel is about to be closed, may be overriden (depending on situation) by returning false if canCancel is set to true.
`void` | `removeContent(javax.swing.JComponent content)`
`void` | `setContent(javax.swing.JComponent content)`
`void` | `setEnabled(boolean enabled)`

Methods inherited from class com.eviware.soapui.ui.support.ModelItemDesktopPanel
`createActionButton, getComponent, getDescription, getIcon, getModelItem, getTitle, notifyPropertyChange, release`

Methods inherited from class javax.swing.JPanel
`getAccessibleContext, getUI, getUIClassID, paramString, setUI, updateUI`

Methods inherited from class javax.swing.JComponent
`addAncestorListener, addNotify, addVetoableChangeListener, computeVisibleRect, contains, createToolTip, disable, enable, firePropertyChange, firePropertyChange, firePropertyChange, fireVetoableChange, getActionForKeyStroke, getActionMap, getAlignmentX, getAlignmentY, getAncestorListeners, getAutoscrolls, getBorder, getBounds, getClientProperty, getComponentGraphics, getComponentPopupMenu, getConditionForKeyStroke, getDebugGraphicsOptions, getDefaultLocale, getFontMetrics, getGraphics, getHeight, getInheritsPopupMenu, getInputMap, getInputMap, getInputVerifier, getInsets, getInsets, getListeners, getLocation, getMaximumSize, getMinimumSize, getNextFocusableComponent, getPopupLocation, getPreferredSize, getRegisteredKeyStrokes, getRootPane, getSize, getToolTipLocation, getToolTipText, getToolTipText, getTopLevelAncestor, getTransferHandler, getVerifyInputWhenFocusTarget, getVetoableChangeListeners, getWidth, getVisibleRect, getX, getY, grabFocus, isDoubleBuffered, isLightweightComponent, isManagingFocus, isOpaque, isOptimizedDrawingEnabled, isPaintingTile, isRequestFocusEnabled, isValidateRoot, paint, paintBorder, paintChildren, paintComponent, paintImmediately, paintImmediately, print, printAll, printBorder, printChildren, printComponent, processComponentKeyEvent, processKeyBinding, processKeyEvent, processMouseEvent, processMouseMotionEvent, putClientProperty, registerKeyboardAction, registerKeyboardAction, removeAncestorListener, removeNotify, removeVetoableChangeListener, repaint, repaint, requestDefaultFocus, requestFocus, requestFocus, requestFocusInWindow, requestFocusInWindow, resetKeyboardActions, reshape, revalidate, scrollRectToVisible, setActionMap, setAlignmentX, setAlignmentY, setAutoscrolls, setBackground, setBorder, setComponentPopupMenu, setDebugGraphicsOptions, setDefaultLocale, setDoubleBuffered, setFocusTraversalKeys, setFont, setForeground, setInheritsPopupMenu, setInputMap, setInputVerifier, setMaximumSize, setMinimumSize, setNextFocusableComponent, setOpaque, setPreferredSize, setRequestFocusEnabled, setToolTipText, setTransferHandler, setUI, setVerifyInputWhenFocusTarget, setVisible, unregisterKeyboardAction, update`

Methods inherited from class java.awt.Container
`add, add, add, add, add, addContainerListener, addImpl, addPropertyChangeListener, addPropertyChangeListener, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getComponentZOrder, getContainerListeners, getFocusTraversalKeys, getFocusTraversalPolicy, getLayout, getMousePosition, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusCycleRoot, isFocusTraversalPolicyProvider, isFocusTraversalPolicySet, layout, list, list, locate, minimumSize, paintComponents, preferredSize, printComponents, processContainerEvent, processEvent, remove, remove, removeAll, removeContainerListener, setComponentZOrder, setFocusCycleRoot, setFocusTraversalPolicy, setFocusTraversalPolicyProvider, setLayout, transferFocusBackward, transferFocusDownCycle, validate, validateTree`

Methods inherited from class java.awt.Component
`action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, coalesceEvents, contains, createImage, createImage, createVolatileImage, createVolatileImage, disableEvents, dispatchEvent, enable, enableEvents, enableInputMethods, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getBackground, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusCycleRootAncestor, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getForeground, getGraphicsConfiguration, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputContext, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocale, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMousePosition, getMouseWheelListeners, getName, getParent, getPeer, getPropertyChangeListeners, getPropertyChangeListeners, getSize, getToolkit, getTreeLock, gotFocus, handleEvent, hasFocus, hide, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isMaximumSizeSet, isMinimumSizeSet, isPreferredSizeSet, isShowing, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, postEvent, prepareImage, prepareImage, processComponentEvent, processFocusEvent, processHierarchyBoundsEvent, processHierarchyEvent, processInputMethodEvent, processMouseWheelEvent, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, resize, resize, setBounds, setBounds, setComponentOrientation, setCursor, setDropTarget, setFocusable, setFocusTraversalKeysEnabled, setIgnoreRepaint, setLocale, setLocation, setLocation, setName, setSize, setSize, show, show, size, toString, transferFocus, transferFocusUpCycle`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface com.eviware.soapui.support.PropertyChangeNotifier
`addPropertyChangeListener, addPropertyChangeListener, removePropertyChangeListener, removePropertyChangeListener`

Field Detail

### wsiValidateAction

    public javax.swing.AbstractAction wsiValidateAction

### responseHasFocus

    public boolean responseHasFocus

Constructor Detail

### AbstractWsdlMockResponseDesktopPanel

    public AbstractWsdlMockResponseDesktopPanel(T modelItem)

Method Detail

### init

    protected void init(T2 mockResponse)

### getMockResponse

    protected WsdlMockResponse getMockResponse()

### getRequestEditor

    public final SoapMessageXmlEditor getRequestEditor()

### getResponseEditor

    public final SoapMessageXmlEditor getResponseEditor()

### getSubmit

    public MockRunner getSubmit()

### buildStatusLabel

    protected javax.swing.JComponent buildStatusLabel()

### getStatusBar

    public JEditorStatusBarWithProgress getStatusBar()

### buildContent

    protected javax.swing.JComponent buildContent()

### buildResponseEditor

    protected SoapMessageXmlEditor buildResponseEditor()

### buildRequestEditor

    protected SoapMessageXmlEditor buildRequestEditor()

### buildToolbar

    protected javax.swing.JComponent buildToolbar()

### createToolbar

    protected void createToolbar(JXToolBar toolbar)

### getHelpUrl

    protected java.lang.String getHelpUrl()

### insertButtons

    protected void insertButtons(javax.swing.JToolBar toolbar)

### setEnabled

    public void setEnabled(boolean enabled)

  Overrides:
    `setEnabled` in class `javax.swing.JComponent`

### dependsOn

    public boolean dependsOn(ModelItem modelItem)

  Description copied from interface: `DesktopPanel`
  Checks if this desktop panel depends on the existence of the specified model item, used for closing relevant panels.

  Specified by:
    `dependsOn` in interface `DesktopPanel`
  Specified by:
    `dependsOn` in class `ModelItemDesktopPanel<T extends ModelItem>`

### setContent

    public void setContent(javax.swing.JComponent content)

### removeContent

    public void removeContent(javax.swing.JComponent content)

### onClose

    public boolean onClose(boolean canCancel)

  Description copied from interface: `DesktopPanel`
  Called when a desktop panel is about to be closed, may be overriden (depending on situation) by returning false if canCancel is set to true.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2007 eviware.com. All Rights Reserved.